Bug 843808 - vgname missing from pvs output when PV contains ignored mda
Summary: vgname missing from pvs output when PV contains ignored mda
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: LVM and device-mapper development team
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On: 707622 836663
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-07-27 12:07 UTC by RHEL Program Management
Modified: 2012-10-23 11:29 UTC (History)
14 users (show)

Fixed In Version: lvm2-2.02.95-10.el6_3.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-23 11:29:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:1399 normal SHIPPED_LIVE lvm2 bug fix update 2012-10-23 15:27:47 UTC

Description RHEL Program Management 2012-07-27 12:07:27 UTC
This bug has been copied from bug #836663 and has been proposed
to be backported to 6.3 z-stream (EUS).

Comment 8 Corey Marthaler 2012-09-10 21:52:10 UTC
Fix verified with latest 6.3.z rpms.

W/O Fix:
[root@taft-01 ~]# pvs -o +mda_count,vg_mda_count
  PV         VG        Fmt  Attr PSize  PFree  #PMda #VMda
  /dev/sdb1  vg3       lvm2 a--  67.83g 67.83g     0     1 
  /dev/sdc1  vg3       lvm2 a--  67.83g 67.83g     1     1
  /dev/sdd1  vg2       lvm2 a--  67.83g 67.83g     1     2      # IGNORE
  /dev/sde1  vg2       lvm2 a--  67.83g 67.83g     1     2
[root@taft-01 ~]# pvs /dev/sdd1 /dev/sde1 /dev/sdb1 /dev/sdc1 --unbuffered
  PV         VG   Fmt  Attr PSize  PFree 
  /dev/sdd1       lvm2 a--  67.83g 67.83g
  /dev/sde1  vg2  lvm2 a--  67.83g 67.83g
  /dev/sdb1       lvm2 a--  67.83g 67.83g
  /dev/sdc1  vg3  lvm2 a--  67.83g 67.83g


W/ FIX:
[root@taft-04 ~]#  pvs -o +mda_count,vg_mda_count
  PV         VG        Fmt  Attr PSize  PFree  #PMda #VMda
  /dev/sdb1  vg3       lvm2 a--  67.83g 67.83g     0     1
  /dev/sdc1  vg3       lvm2 a--  67.83g 67.83g     1     1
  /dev/sdd1  vg2       lvm2 a--  67.83g 67.83g     1     2      # IGNORE
  /dev/sde1  vg2       lvm2 a--  67.83g 67.83g     1     2
[root@taft-04 ~]# pvs /dev/sdd1 /dev/sde1 /dev/sdb1 /dev/sdc1 --unbuffered
  PV         VG   Fmt  Attr PSize  PFree 
  /dev/sdd1  vg2  lvm2 a--  67.83g 67.83g
  /dev/sde1  vg2  lvm2 a--  67.83g 67.83g
  /dev/sdb1  vg3  lvm2 a--  67.83g 67.83g
  /dev/sdc1  vg3  lvm2 a--  67.83g 67.83g


2.6.32-279.el6.x86_64
lvm2-2.02.95-10.el6_3.1    BUILT: Tue Aug 28 09:31:04 CDT 2012
lvm2-libs-2.02.95-10.el6_3.1    BUILT: Tue Aug 28 09:31:04 CDT 2012
lvm2-cluster-2.02.95-10.el6_3.1    BUILT: Tue Aug 28 09:31:04 CDT 2012
udev-147-2.41.el6    BUILT: Thu Mar  1 13:01:08 CST 2012
device-mapper-1.02.74-10.el6_3.1    BUILT: Tue Aug 28 09:31:04 CDT 2012
device-mapper-libs-1.02.74-10.el6_3.1    BUILT: Tue Aug 28 09:31:04 CDT 2012
device-mapper-event-1.02.74-10.el6_3.1    BUILT: Tue Aug 28 09:31:04 CDT 2012
device-mapper-event-libs-1.02.74-10.el6_3.1    BUILT: Tue Aug 28 09:31:04 CDT 2012
cmirror-2.02.95-10.el6_3.1    BUILT: Tue Aug 28 09:31:04 CDT 2012

Comment 10 errata-xmlrpc 2012-10-23 11:29:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-1399.html


Note You need to log in before you can comment on or make changes to this bug.